# -*- coding: utf-8 -*-
# Copyright (C) 2008 Warp Networks S.L.
# Author:  Pablo Martí
"""
Example DBus client
"""

import sys
import traceback

import gobject

import dbus
import dbus.mainloop.glib

from wader.common.consts import (WADER_SERVICE, WADER_OBJPATH, WADER_INTFACE,
                               CRD_INTFACE, NET_INTFACE)

def handle_response(resp=None):
    if resp:
        print "Response", resp
    else:
        print "No response"

def handle_error(resp):
    print "ERROR", resp

def handle_get_device(opath):
    # now we've obtained a proxy to the object
    device_object = bus.get_object(WADER_SERVICE, opath)

    device_object.Enable(dbus_interface=CRD_INTFACE,
                         reply_handler=handle_response,
                         error_handler=handle_error)

    device_object.GetNames(dbus_interface=NET_INTFACE,
                           reply_handler=handle_get_names,
                           error_handler=handle_error)

def handle_get_names(response):
    handle_response(response)
    print "Removing device...."
    remote_object.RemoveDevice(sys.argv[1],
                               dbus_interface=WADER_INTFACE,
                               reply_handler=handle_response,
                               error_handler=handle_error)
    return True



def obtain_device():
    remote_object.AddDevice(sys.argv[1],
                            dbus_interface=WADER_INTFACE,
                            reply_handler=handle_get_device,
                            error_handler=handle_error)

    return False

if __name__ == '__main__':
    dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
    bus = dbus.SessionBus()
    try:
        remote_object = bus.get_object(WADER_SERVICE, WADER_OBJPATH)
    except dbus.DBusException:
        traceback.print_exc()
        sys.exit(1)

    # Make the method call after a short delay
    gobject.timeout_add(1000, obtain_device)

    loop = gobject.MainLoop()
    loop.run()

