import re

from wader.common.hardware.huawei import (HuaweiWCDMADevicePlugin,
                                        HuaweiWCDMACustomizer)
from wader.common.command import get_cmd_dict_copy, OK_REGEXP, ERROR_REGEXP

info = dict(echo=None,
            end=OK_REGEXP,
            error=ERROR_REGEXP,
            extract=re.compile(
                """
                \r\n
                \+CPOL:\s(?P<index>\d+),"(?P<netid>\d+)"
                """, re.VERBOSE))

E620_CMD_DICT = get_cmd_dict_copy()
E620_CMD_DICT['get_roaming_ids'] = info

class HuaweiE620Customizer(HuaweiWCDMACustomizer):
    cmd_dict = E620_CMD_DICT


class HuaweiE620(HuaweiWCDMADevicePlugin):
    """L{wader.common.plugin.DBusDevicePlugin} for Huawei's E620"""
    name = "Huawei E620"
    version = "0.1"
    author = u"Pablo Martí"
    custom = HuaweiE620Customizer()

    __remote_name__ = "E620"

    __properties__ = {
        'usb_device.vendor_id': [0x12d1],
        'usb_device.product_id': [0x1001],
    }

