%define name wader
%define version 0.1.1
%define release 1
%define waderroot %{_datadir}/%{name}
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Wader
Source:         ftp://ftp.noexists.org/pub/wader/%{name}-%{version}.tar.gz
Group:          Applications/Telephony
License:        GPL

%description
Wader is a fork of the core of "Vodafone Mobile Connect Card driver for Linux"


%package core
Summary:        The core of Wader
Group:          Applications/Telephony
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-core

%description core
The core of Wader

BuildRequires:  python-devel, python-setuptools
Requires:       python-twisted-core, python-twisted-conch, python-axiom

%if 0%{?suse_version}
# dependencies for SUSE
Requires: python-serial, dbus-1-python
%else
# dependencies for Fedora
Requires: pyserial, dbus-python
%endif

%prep
%setup -n %{name}-%{version}

%build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot} --prefix=%{_prefix}
%{__mkdir_p} %{buildroot}%{_datadir}/dbus-1/services/
%{__install} -m0644 resources/dbus/es.warp.Wader.service %{buildroot}%{_datadir}/dbus-1/services/es.warp.Wader.service
%{__mkdir_p} %{buildroot}/usr/share/doc/wader/guide/devel/api

lore --config template=doc/devel/template.tpl \
     --config baseurl=api/%s.html doc/devel/*.xhtml
cp doc/devel/*.html doc/devel/*.css %{buildroot}/usr/share/doc/wader/guide/devel
cp -R doc/listings %{buildroot}/usr/share/doc/wader/guide/listings
rm doc/devel/*.html
pydoctor --system-class=pydoctor.twistedmodel.TwistedSystem \
         --project-name=wader-core \
         --html-output=%{buildroot}/usr/share/doc/wader/guide/devel/api \
         --make-html \
         --html-write-function-pages \
         --add-package wader

%clean
%{__rm} -rf %{buildroot}

%files core
%defattr(-,root,root)
%doc LICENSE README

%defattr(-,root,root,0755)
%{waderroot}
%{python_sitearch}/Wader*
%{python_sitearch}/wader
%{_datadir}/dbus-1/services/es.warp.Wader.service

%changelog
* Tue Jun 03 2008 Pablo Marti <pmarti@warp.es> 0.1
- 0.1 Release

%package doc
Summary:        The doc of Wader
Group:          Applications/Telephony
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       %{name}-doc
BuildRequires:  python-twisted-lore, python-twisted-web, python-nevow

%description doc
The doc of Wader

%files doc
%defattr(-,root,root)
%{_defaultdocdir}/wader
